Hi Thomas,

On Wed, 2013-07-31 at 08:02 +0200, Thomas Bechtold wrote:
> On Tue, Jul 30, 2013 at 09:36:53PM +0200, Jonas Smedegaard wrote:
> > Quoting Thomas Bechtold (2013-07-30 19:47:10)
> > > forgot to describe the attached debdiff. The patch adds a 
> > > Build-Depends to yui-compressor and generates jquery.min.js. That's 
> > > it.
> > 
> > I recommend against using a different and inferior compressor than the 
> > one well tested upstream: uglify.
> 
> I updated the attached debdiff and use node-uglify now. The filesize
> with uglify is much better (105841 with yui, 95024 with uglify)

Thank you, but your changes are not good. The jQuery Makefile already
runs the uglify, so we do not need to put it in the debian/rules.

I released libjs-jquery 1.7.2+debian-1 with uglifyjs, but uglify is not
in Wheezy and Julien Cristau made an NMU to replace uglify with
yui-compressor.

The best way to fix libjs-jquery is to revert the NMU [0]

[0] http://miud.in/1DX0


Cheers,

-- 
Marcelo Jorge Vieira
xmpp:me...@jabber-br.org
http://metaldot.alucinados.com

Attachment: signature.asc
Description: This is a digitally signed message part

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to